/*
 * Copyright (C) Sergey P. Derevyago, 2005.
 *
 * Permission to copy, use, modify, sell and distribute this software is granted
 * provided this copyright notice appears in all copies.
 * This software is provided "as is" without express or implied warranty, and
 * with no claim as to its suitability for any purpose.
 *
 */

package ders;

/**
 * Even value <code>ders.InvalidKeyException</code>.
 *
 * Meaning: A key with even value is tried to be used.
 * Cause: The least significant bit of last byte of the key is equal to zero.
 * Advice: Set the least significant bit to one or use some other key.
 */
public final class EvenValueKeyException extends InvalidKeyException
{
 EvenValueKeyException()
 {
 }

 /**
  * Returns explanatory error message.
  */
 public String getMessage()
 {
  return "Suspectable key: Even values are not recommended";
 }
}

