/*
 * Copyright (C) Sergey P. Derevyago, 2005.
 *
 * Permission to copy, use, modify, sell and distribute this software is granted
 * provided this copyright notice appears in all copies.
 * This software is provided "as is" without express or implied warranty, and
 * with no claim as to its suitability for any purpose.
 *
 */

package ders;

/**
 * Invalid block format <code>ders.InvalidDataException</code>.
 *
 * Meaning: Invalid data is tried to be decrypted.
 * Cause: <code>streamDecrypt()</code> method encountered a data block of
 *        invalid format.
 * Advice: Make sure that the data you are trying to decrypt was really
 *         encrypted and not corrupted since then.
 */
public final class InvalidBlockFormatDataException extends
  InvalidDataException
{
 InvalidBlockFormatDataException()
 {
 }

 /**
  * Returns explanatory error message.
  */
 public String getMessage()
 {
  return "Invalid data: Invalid block format";
 }
}

