/*
 * Copyright (C) Sergey P. Derevyago, 2005.
 *
 * Permission to copy, use, modify, sell and distribute this software is granted
 * provided this copyright notice appears in all copies.
 * This software is provided "as is" without express or implied warranty, and
 * with no claim as to its suitability for any purpose.
 *
 */

package ders;

/**
 * Base class of all exceptions thrown due to the invalid key.
 */
public class InvalidKeyException extends Exception
{
 InvalidKeyException()
 {
  super();
 }

 InvalidKeyException(Throwable thr)
 {
  super(thr);
 }

 /**
  * Returns some general error message for testing purposes. This method is
  * always overridden by special subclasses.
  */
 public String getMessage()
 {
  return "General derscrypt.InvalidKeyException";
 }
}

