/*
 * Copyright (C) Sergey P. Derevyago, 2005.
 *
 * Permission to copy, use, modify, sell and distribute this software is granted
 * provided this copyright notice appears in all copies.
 * This software is provided "as is" without express or implied warranty, and
 * with no claim as to its suitability for any purpose.
 *
 */

package ders;

/**
 * Leading zeros <code>ders.InvalidKeyException</code>.
 *
 * Meaning: A key with leading zero byte(s) is tried to be used. 
 * Cause: First byte of the key is equal to zero.
 * Advice: Set the first byte to a non-zero value or use some other key.
 */
public final class LeadingZeroKeyException extends InvalidKeyException
{
 LeadingZeroKeyException()
 {
 }

 /**
  * Returns explanatory error message.
  */
 public String getMessage()
 {
  return "Suspectable key: Leading zeros are useless";
 }
}

