/*
 * Copyright (C) Sergey P. Derevyago, 2005.
 *
 * Permission to copy, use, modify, sell and distribute this software is granted
 * provided this copyright notice appears in all copies.
 * This software is provided "as is" without express or implied warranty, and
 * with no claim as to its suitability for any purpose.
 *
 */

#include "uint.hpp"

const UInt UInt::zero(0);
const UInt UInt::one(1);

int UInt::toBytes(void* ptr) const
{
 size_t size;
 mpz_export(ptr, &size, 1, 1, 1, 0, rep);

 if (size==0) {
    *(uchar*)ptr=0;
    size=1;
 }

 return size;
}

const char* UInt::cpuString()
{
#ifndef DERS_CPU
 #error DERS_CPU macro is not defined in the command line
#endif

#define TO_STRING_IMPL(arg) #arg
#define TO_STRING(arg) TO_STRING_IMPL(arg)
 return TO_STRING(DERS_CPU);
#undef TO_STRING
#undef TO_STRING_IMPL
}

ShUInt operator+(const ShUInt& lo, const ShUInt& ro)
{
 ShUInt ret(new UInt(*lo));
 *ret+=*ro;
 return ret;
}

ShUInt operator-(const ShUInt& lo, const ShUInt& ro)
{
 ShUInt ret(new UInt(*lo));
 *ret-=*ro;
 return ret;
}

ShUInt operator*(const ShUInt& lo, const ShUInt& ro)
{
 ShUInt ret(new UInt(*lo));
 *ret*=*ro;
 return ret;
}

ShUInt operator/(const ShUInt& lo, const ShUInt& ro)
{
 ShUInt ret(new UInt(*lo));
 *ret/=*ro;
 return ret;
}

ShUInt operator%(const ShUInt& lo, const ShUInt& ro)
{
 ShUInt ret(new UInt(*lo));
 *ret%=*ro;
 return ret;
}

